DATA-SCIENCE_PIPELINE-RUN_CANCEL(1)

NAME
data-science_pipeline-run_cancel -

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

DESCRIPTION

Cancel a PipelineRun.

USAGE

oci data-science pipeline-run cancel [OPTIONS]

REQUIRED PARAMETERS

--pipeline-run-id [text]

    The OCID <https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm> of the pipeline run.

OPTIONAL PARAMETERS

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the etag you provide matches the resource’s current etag value.

--terminate-gracefully [boolean]

    A boolean value to specify whether to terminate pipeline run gracefully.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

EXAMPLE USING REQUIRED PARAMETER

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci data-science pipeline create --generate-param-json-input step-details > step-details.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/data-science/project/create.html#cmdoption-compartment-id
    project_id=$(oci data-science project create --compartment-id $compartment_id --query data.id --raw-output)
    pipeline_id=$(oci data-science pipeline create --compartment-id $compartment_id --project-id $project_id --step-details file://step-details.json --query data.id --raw-output)
    pipeline_run_id=$(oci data-science pipeline-run create --compartment-id $compartment_id --pipeline-id $pipeline_id --query data.id --raw-output)
    oci data-science pipeline-run cancel --pipeline-run-id $pipeline_run_id

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle